aboutsummaryrefslogtreecommitdiff
path: root/src/exchangedb/test_idempotency.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/exchangedb/test_idempotency.sh')
-rwxr-xr-xsrc/exchangedb/test_idempotency.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/exchangedb/test_idempotency.sh b/src/exchangedb/test_idempotency.sh
new file mode 100755
index 000000000..1f42e67aa
--- /dev/null
+++ b/src/exchangedb/test_idempotency.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+# This file is in the public domain.
+set -eu
+echo "Initializing DB"
+taler-exchange-dbinit -r test-exchange-db-postgres.conf
+echo "Re-initializing DB"
+taler-exchange-dbinit test-exchange-db-postgres.conf
+echo "Re-loading procedures"
+psql talercheck < procedures.sql
+exit 0